{% load bootstrap5 %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <!-- Bootstrap CSS -->
    {% bootstrap_css %}

    <!-- TAB-Title -->
    <title>
        {% block tab_title %}{% endblock %}
    </title>
</head>
<body>

<!-- Navigation-Bar -->
<div class="container">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Navbar</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown"
                    aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{% url 'home' %}">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'list_categories' %}">Categories</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'list_articles' %}">Articles</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>

<!-- Messages -->
<div class="container">
    {% bootstrap_messages %}
</div>

<!-- Content -->
<div class="container">
    {% block content %}{% endblock %}
</div>

<!-- Bootstrap JavaScript -->
{% bootstrap_javascript %}
</body>
</html>